> For the complete documentation index, see [llms.txt](https://api-portal.novapost.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-portal.novapost.com/methods/ua/overview/webhooks/subscription-deletion.md).

# Видалення підписки

## Видалити підписку

> Цей метод видаляє підписку, зазначену за її унікальним ідентифікатором. Після видалення підписка більше не отримуватиме webhook-сповіщення.\
> Видалення є незворотним, тому цю дію слід виконувати з обережністю.\
> \
> Якщо потрібно лише тимчасово зупинити надсилання webhook-сповіщень, не видаляйте підписку, а вимкніть її методом \[\*\*Оновити існуючу підписку зі значенням\*\*]\(<https://api-portal.novapost.com/methods/ua/overview/webhooks/subscription-update>) \`isActive: false\`. \
> \*\*Зверніть увагу\*\*: події, що відбудуться за час, поки підписка вимкнена, після її повторного ввімкнення \*\*не надійдуть\*\*. <br>

```json
{"openapi":"3.0.0","info":{"title":"API Nova Post","version":"1.0.0"},"tags":[{"name":"Webhooks"}],"servers":[{"description":"sandbox","url":"https://api-stage.novapost.com/v.1.0/"},{"description":"production","url":"https://api.novapost.com/v.1.0/"}],"security":[{"JWT":[]}],"components":{"securitySchemes":{"JWT":{"type":"apiKey","in":"header","name":"Authorization","description":"Авторизаційний JWT-токен із терміном дії 1 година в заголовку"}},"responses":{"Unauthorized":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"The specified resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Validation":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Time-out":{"description":"Connection time-out","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"schemas":{"Error":{"type":"object","properties":{"errors":{"type":"object","properties":{"":{"type":"string"}}}}}}},"paths":{"/tracking-push/subscribers/{id}":{"delete":{"tags":["Webhooks"],"description":"Цей метод видаляє підписку, зазначену за її унікальним ідентифікатором. Після видалення підписка більше не отримуватиме webhook-сповіщення.\nВидалення є незворотним, тому цю дію слід виконувати з обережністю.\n\nЯкщо потрібно лише тимчасово зупинити надсилання webhook-сповіщень, не видаляйте підписку, а вимкніть її методом [**Оновити існуючу підписку зі значенням**](https://api-portal.novapost.com/methods/ua/overview/webhooks/subscription-update) `isActive: false`. \n**Зверніть увагу**: події, що відбудуться за час, поки підписка вимкнена, після її повторного ввімкнення **не надійдуть**. \n","operationId":"deleteSubscriber","parameters":[{"name":"id","in":"path","description":"Унікальний ідентифікатор підписки, яку необхідно видалити. Це обов’язковий параметр шляху, який визначає конкретну підписку, що буде видалена.","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Підписку успішно видалено.","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Повідомлення-підтвердження про успішне видалення підписки."}}}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"422":{"$ref":"#/components/responses/Validation"},"503":{"$ref":"#/components/responses/Time-out"}},"summary":"Видалити підписку"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://api-portal.novapost.com/methods/ua/overview/webhooks/subscription-deletion.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
